Skip to navigation

Get Catalog Settings

Returns catalog settings.

  • Channel ID can be used as a query parameter for getting channel-specific settings. If omitted, you will interact with the global settings only.

  • null indicates that a particular field has not been overridden on a channel level when channel level settings are requested and values are inherited from global level.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Response

OK. null indicates that a particular field has not been overridden on a channel level when channel level settings are requested

dataobjectOptional
metaobjectOptional
Response metadata.